summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 9 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index eae2da1..b913c76 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -29,19 +29,16 @@ if test "x$revision" = "x"; then
fi
sed -e "s/@REVISION@/${revision}/g" < "configure.in.in" > "configure.in"
-if (type xdt-autogen) >/dev/null 2>&1; then
- exec xdt-autogen "$@"
-else
- (aclocal &&
- automake --add-missing --copy --gnu &&
- autoconf) || exit 1
+(libtoolize &&
+ aclocal &&
+ automake --add-missing --copy --gnu &&
+ autoconf) || exit 1
- if test x"${NOCONFIGURE}" = x""; then
- (./configure --enable-maintainer-mode "$@" &&
- echo "Now type \"make\" to build.") || exit 1
- else
- echo "Skipping configure process."
- fi
+if test x"${NOCONFIGURE}" = x""; then
+ (./configure --enable-maintainer-mode "$@" &&
+ echo "Now type \"make\" to build.") || exit 1
+else
+ echo "Skipping configure process."
fi
# vi:set ts=2 sw=2 et ai: